# $Revision: 1.25 $, $Date: 2006/11/02 12:50:54 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	Common
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - PEAR::HTML_Common is a base class for other HTML classes
Summary(pl):	%{_pearname} - PEAR::HTML_Common jest podstawow klas dla innych klas HTML
Name:		php-pear-%{_pearname}
Version:	1.2.3
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	3598dd20e3be90ae445501e9c2d59506
URL:		http://pear.php.net/package/HTML_Common/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::HTML_Common package provides methods for HTML code display
and attributes handling:
- Methods to set, remove, update HTML attributes.
- Handles comments in HTML code.
- Handles layout and tabs for nicer HTML code.

In PEAR status of this package is: %{_status}.

%description -l pl
Klasa PEAR::HTML_Common dostarcza metody do wywietlania kodu HTML
oraz obsug atrybutw.
- Zawiera metody do ustawiania, usuwania, aktualizacji atrybutw HTML.
- Obsuguje komentarze w kodzie HTML.
- Obsuguje uoenie i tabulacje dla adniejszego wygldu kodu HTML.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Common.spec,v $
Revision 1.25  2006/11/02 12:50:54  glen
- 1.2.3

Revision 1.24  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.23  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.22  2005/10/05 18:31:31  glen
- rel 2

Revision 1.21  2005/09/22 22:00:34  glen
- new pear packaging

Revision 1.20  2005/09/07 11:11:56  adamg
- updated to 1.2.2

Revision 1.19  2004/12/03 22:12:55  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.18  2004/10/24 18:30:59  paladine
- spelling fixes, uppercases, etc.

Revision 1.17  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.16  2004/03/15 13:13:46  adamg
- added missing status information (it is stable)

Revision 1.15  2003/10/07 20:54:45  adamg
- do not use macros in URL

Revision 1.14  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.13  2003/06/19 20:16:14  adamg
- updated to 1.2.1

Revision 1.12  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.11  2003/05/28 08:58:36  adamg
- massive attack: added source0-md5

Revision 1.10  2003/05/25 06:25:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/10/14 23:40:45  misto
- new rpm-php-requires/provides scripts
- release 4

Revision 1.8  2002/09/07 06:32:49  blues
- fix in macros

Revision 1.7  2002/07/12 23:31:26  blues
- release 3 (rebuild with new rpm)

Revision 1.6  2002/07/02 14:16:02  blues
- rel.2
- removed duplicate catalog ownership

Revision 1.5  2002/07/02 10:23:19  blues
- req. php-pear

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/30 12:25:14  qboosh
- better pl

Revision 1.2  2002/06/29 14:28:26  blues
- dir removed
- translation

Revision 1.1  2002/06/25 12:05:03  blues
- initial release
